#!/usr/bin/env zsh
#
# Test ascii character support.
#
# Author:
#   Larry Gordon
#
# License:
#   The MIT License (MIT) <http://psyrendust.mit-license.org/2014/license.html>
# ------------------------------------------------------------------------------

pppurple -i '›' && ppwhite '  02 : Single right-pointing angle quotation mark'
pppurple -i '❭' && ppwhite '  03 : Medium right-pointing angle bracket ornament'
pppurple -i '❯' && ppwhite '  04 : Heavy right-pointing angle quotation mark ornament'
pppurple -i '⧽' && ppwhite '  05 : Right-pointing curved angle bracket'
pppurple -i '〉' && ppwhite ' 06 : Right-pointing angle bracket'
pppurple -i '}' && ppwhite '  07 : Right curly bracket'
pppurple -i '❩' && ppwhite '  08 : Medium right parenthesis ornament'
pppurple -i '❱' && ppwhite '  09 : Heavy right-pointing angle bracket ornament'
pppurple -i '˒' && ppwhite '  10 : Modifier letter centred right half ring'
pppurple -i 'ʾ' && ppwhite '  11 : Modifier letter right half ring'
pppurple -i 'ʔ' && ppwhite '  12 : Latin letter glottal stop'
pppurple -i 'ᨛ' && ppwhite '  13 : Buginese vowel sign ae'
pppurple -i 'ⵢ' && ppwhite '  14 : Tifinagh letter yay'
pppurple -i 'ˀ' && ppwhite '  15 : Modifier letter glottal stop'
pppurple -i '͗' && ppwhite '  16 : Combining right half ring above'
pppurple -i ')' && ppwhite '  17 : Right parenthesis'
pppurple -i '❵' && ppwhite '  18 : Medium right curly bracket ornament'
pppurple -i '❫' && ppwhite '  19 : Medium flattened right parenthesis ornament'
pppurple -i 'ᔭ' && ppwhite '  20 : Canadian syllabics ya'
pppurple -i 'ነ' && ppwhite '  21 : Ethiopic syllable na'
pppurple -i '᚛' && ppwhite '  22 : Ogham feather mark'
pppurple -i '⸒' && ppwhite '  23 : Hypodiastole'
pppurple -i 'ʸ' && ppwhite '  24 : Modifier letter small y'
pppurple -i '⦘' && ppwhite '  25 : Right black tortoise shell bracket'
pppurple -i '∑' && ppwhite '  26 : N-ary summation'
pppurple -i '⸴' && ppwhite '  27 : Raised comma'
pppurple -i '⁾' && ppwhite '  28 : Superscript right parenthesis'
pppurple -i '𝟩' && ppwhite '  29 : Mathematical sans-serif digit seven'
pppurple -i 'ᐳ' && ppwhite '  30 : Canadian syllabics po'
pppurple -i 'у' && ppwhite '  31 : Cyrillic small letter u'

pppurple -i '»' && ppwhite '  32 : Right-pointing double angle quotation mark'
pppurple -i '👂' && ppwhite '  33 : Ear'
pppurple -i 'ᐴ' && ppwhite '  34 : Canadian syllabics poo'
pppurple -i 'ᐷ' && ppwhite '  35 : Canadian syllabics carrier hi'
pppurple -i '⳾' && ppwhite '  36 : Coptic full stop'
pppurple -i 'ᐶ' && ppwhite '  37 : Canadian syllabics carrier hee'
pppurple -i 'ᕉ' && ppwhite '  38 : Canadian syllabics roo'
pppurple -i 'ᖩ' && ppwhite '  39 : Canadian syllabics th-cree thii'
pppurple -i 'ᑞ' && ppwhite '  40 : Canadian syllabics west-cree two'
pppurple -i '?' && ppwhite '  41 : Question mark'
pppurple -i 'ᔩ' && ppwhite '  42 : Canadian syllabics yii'
pppurple -i 'か' && ppwhite '  43 : Hiragana letter ka'
pppurple -i 'Ż' && ppwhite '  44 : Latin capital letter z with dot above'
pppurple -i 'ͽ' && ppwhite '  45 : Greek small reversed dotted lunate sigma symbol'
pppurple -i 'ᐉ' && ppwhite '  46 : Canadian syllabics carrier i'
pppurple -i 'Ņ' && ppwhite '  47 : Latin capital letter n with cedilla'
pppurple -i 'ᑀ' && ppwhite '  48 : Canadian syllabics pwo'
pppurple -i 'ᗥ' && ppwhite '  49 : Canadian syllabics carrier ttee'
pppurple -i 'ᗈ' && ppwhite '  50 : Canadian syllabics carrier ghi'
pppurple -i 'ᗍ' && ppwhite '  51 : Canadian syllabics carrier ree'
pppurple -i 'ᢴ' && ppwhite '  52 : Canadian syllabics poy'
pppurple -i '⋟' && ppwhite '  53 : Equal to or succeeds'
pppurple -i 'ᙼ' && ppwhite '  54 : Canadian syllabics woods-cree thwa'
pppurple -i 'Ў' && ppwhite '  55 : Cyrillic capital letter short u'
pppurple -i 'ᗎ' && ppwhite '  56 : Canadian syllabics carrier ri'
pppurple -i 'ў' && ppwhite '  57 : Cyrillic small letter short u'
pppurple -i 'Ѝ' && ppwhite '  58 : Cyrillic capital letter i with grave'
pppurple -i 'Ź' && ppwhite '  59 : Latin capital letter z with acute'
pppurple -i '⪢' && ppwhite '  60 : Double nested greater-than'
pppurple -i 'й' && ppwhite '  61 : Cyrillic small letter short i'
